Generation Framework

## org.eclipse.gmf.gmfgraph.util
Interface FigureQualifiedNameSwitch

All Known Implementing Classes:
  org.eclipse.gmf.gmfgraph.util.PureGEFFigureQualifiedNameSwitch

public interface FigureQualifiedNameSwitch

FigureQualifiedNameSwitch serves to substitute base implementation class names for figures defined in GMFGraph. Namely, we use this switch to provide different implementation for some classes available in gmf-runtime (e.g. `RuntimeFQNSwitch`)

Method Summary
`java.lang.String` `get(EObject gmfgraphObject)` (XXX) tell about/change behavior with wrong arguments - exception?
`java.lang.String` `get(EObject gmfgraphObject, ImportAssistant importManager)` Handy addition to `FigureQualifiedNameSwitch.get(EObject)`, with return value passed through `ImportAssistant.getImportedName(String)`
`java.lang.String[]` `getDependencies(FigureGallery gallery)` (XXX) decide whether org.eclipse.draw2d should be included there.

Method Detail

### get

    public java.lang.String get(EObject gmfgraphObject)

  (XXX) tell about/change behavior with wrong arguments - exception?

  Returns:
    fully-qualified class name corresponding to object, or `null` if it's not suitable graphical object

### get

    public java.lang.String get(EObject gmfgraphObject,
                                ImportAssistant importManager)

  Handy addition to `FigureQualifiedNameSwitch.get(EObject)`, with return value passed through `ImportAssistant.getImportedName(String)`

  Returns:
    qualified or imported class name

### getDependencies

    public java.lang.String[] getDependencies(FigureGallery gallery)

  (XXX) decide whether org.eclipse.draw2d should be included there.

  Returns:
    symbolic names of plug-ins. Figures of the gallery may need these in classpath.

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.